%global namedversion %{version}%{?namedreltag}

Name:           slf4j
Version:        1.7.5
Release:        4%{?reltag}%{?dist}
Epoch:          0
Summary:        SLF4J
License:        MIT
Group:          Development/Java
URL:            http://www.slf4j.org
%if 0
/bin/rm -rf slf4j-1.7.5.tar.xz slf4j-1.7.5/ .gitignore
/usr/bin/git clone https://github.com/qos-ch/slf4j
cd slf4j/
/usr/bin/git archive --prefix=slf4j-1.7.5/ v_1.7.5 | /usr/bin/xz -9 > ../slf4j-1.7.5.tar.xz
cd ../
/usr/bin/rhpkg new-sources slf4j-1.7.5.tar.xz
/usr/bin/rhpkg prep
%endif
Source0:        slf4j-1.7.5.tar.xz
Patch0:         0000-slf4j-pom.patch
Patch1:         0001-felix-framework-string-map.patch
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-default-skin
BuildRequires:  maven-deploy-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-project-info-reports-plugin
BuildRequires:  maven-remote-resources-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-site-plugin
BuildRequires:  maven-source-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  surefire-junit4
BuildRequires:  maven-clean-plugin >= 0:2.2
BuildRequires:  maven-dependency-plugin >= 0:2.0
BuildRequires:  maven-ear-plugin >= 0:2.3.1
BuildRequires:  maven-ejb-plugin >= 0:2.1
BuildRequires:  maven-jxr-plugin >= 0:2.3
BuildRequires:  maven-plugin-plugin >= 0:2.4.3
BuildRequires:  maven-rar-plugin >= 0:2.2
# XXX: 2.0-beta-8
BuildRequires:  maven-release-plugin >= 0:2.0
# XXX: 2.1-alpha-2
BuildRequires:  maven-war-plugin >= 0:2.1
BuildArch:      noarch
BuildRoot:      %{_tmppath}/slf4j-%{namedversion}-%{release}-root

%description
Top SLF4J project pom.xml file.

%package -n slf4j-parent
Summary:        SLF4J
Group:          Development/Java
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  junit >= 0:4.10
BuildRequires:  wagon-ssh >= 0:2.0
BuildRequires:  maven-compiler-plugin >= 0:2.3.2
BuildRequires:  maven-jar-plugin >= 0:2.3.1
BuildRequires:  maven-surefire-plugin >= 0:2.10
BuildRequires:  maven-source-plugin >= 0:2.1.2
BuildRequires:  maven-assembly-plugin >= 0:2.2
BuildRequires:  build-helper-maven-plugin >= 0:1.7
# XXX: 3.0
BuildRequires:  maven-site-plugin >= 0:2.4

%description -n slf4j-parent
Top SLF4J project pom.xml file.

%package -n slf4j-api
Summary:        SLF4J API Module
Group:          Development/Java
Obsoletes:      slf4j < %{epoch}:%{version}-%{release}
Provides:       slf4j = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       slf4j-parent = %{epoch}:%{version}-%{release}
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-antrun-plugin

%description -n slf4j-api
The slf4j API.

%package -n slf4j-simple
Summary:        SLF4J Simple Binding
Group:          Development/Java
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       slf4j-parent = %{epoch}:%{version}-%{release}
Requires:       slf4j-api = %{epoch}:%{version}-%{release}
BuildRequires:  maven-jar-plugin

%description -n slf4j-simple
SLF4J Simple binding.

%package -n slf4j-nop
Summary:        SLF4J NOP Binding
Group:          Development/Java
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       slf4j-parent = %{epoch}:%{version}-%{release}
Requires:       slf4j-api = %{epoch}:%{version}-%{release}
BuildRequires:  maven-jar-plugin

%description -n slf4j-nop
SLF4J NOP Binding.

%package -n slf4j-jdk14
Summary:        SLF4J JDK14 Binding
Group:          Development/Java
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       slf4j-parent = %{epoch}:%{version}-%{release}
Requires:       slf4j-api = %{epoch}:%{version}-%{release}
BuildRequires:  maven-jar-plugin

%description -n slf4j-jdk14
SLF4J JDK14 Binding.

%package -n slf4j-log4j12
Summary:        SLF4J LOG4J-12 Binding
Group:          Development/Java
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       slf4j-parent = %{epoch}:%{version}-%{release}
Requires:       slf4j-api = %{epoch}:%{version}-%{release}
# FIXME: 1.2.17
Requires:       log4j >= 0:1.2.16
BuildRequires:  log4j >= 0:1.2.16
BuildRequires:  maven-jar-plugin

%description -n slf4j-log4j12
SLF4J LOG4J-12 Binding.

%package -n slf4j-jcl
Summary:        SLF4J JCL Binding
Group:          Development/Java
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       slf4j-parent = %{epoch}:%{version}-%{release}
Requires:       slf4j-api = %{epoch}:%{version}-%{release}
Requires:       commons-logging >= 0:1.1.1
BuildRequires:  commons-logging >= 0:1.1.1
BuildRequires:  maven-jar-plugin

%description -n slf4j-jcl
SLF4J JCL Binding.

%package -n slf4j-ext
Summary:        SLF4J Extensions Module
Group:          Development/Java
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       slf4j-parent = %{epoch}:%{version}-%{release}
Requires:       slf4j-api = %{epoch}:%{version}-%{release}
# FIXME
#Requires:       cal10n-api >= 0:0.7.4
#BuildRequires:  cal10n-api >= 0:0.7.4
Requires:       cal10n >= 0:0.7.3
BuildRequires:  cal10n >= 0:0.7.3
BuildRequires:  javassist >= 0:3.4.GA
BuildRequires:  commons-lang >= 0:2.4
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-jar-plugin

%description -n slf4j-ext
Extensions to the SLF4J API.

%package -n jcl-over-slf4j
Summary:        JCL 1.1.1 implemented over SLF4J
Group:          Development/Java
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       slf4j-parent = %{epoch}:%{version}-%{release}
Requires:       slf4j-api = %{epoch}:%{version}-%{release}
BuildRequires:  maven-jar-plugin

%description -n jcl-over-slf4j
JCL 1.1.1 implemented over SLF4J.

%package -n log4j-over-slf4j
Summary:        Log4j Implemented Over SLF4J
Group:          Development/Java
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       slf4j-parent = %{epoch}:%{version}-%{release}
Requires:       slf4j-api = %{epoch}:%{version}-%{release}
BuildRequires:  maven-jar-plugin

%description -n log4j-over-slf4j
Log4j implemented over SLF4J.

%package -n jul-to-slf4j
Summary:        JUL to SLF4J bridge
Group:          Development/Java
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       slf4j-parent = %{epoch}:%{version}-%{release}
Requires:       slf4j-api = %{epoch}:%{version}-%{release}
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-jar-plugin

%description -n jul-to-slf4j
JUL to SLF4J bridge.

%package -n osgi-over-slf4j
Summary:        OSGi LogService implemented over SLF4J
Group:          Development/Java
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       slf4j-parent = %{epoch}:%{version}-%{release}
BuildRequires:  org.osgi.core >= 0:4.2.0
BuildRequires:  org.osgi.compendium >= 0:4.2.0
#BuildRequires:  org.osgi.enterprise >= 0:4.2.0
BuildRequires:  maven-bundle-plugin >= 0:2.3.7

%description -n osgi-over-slf4j
OSGi LogService implementation over SLF4J.

%package -n slf4j-integration
Summary:        SLF4J Integration tests
Group:          Development/Java
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       slf4j-parent = %{epoch}:%{version}-%{release}
Requires:       slf4j-api = %{epoch}:%{version}-%{release}
Requires:       junit >= 0:3.8.1
BuildRequires:  junit >= 0:3.8.1
Requires:       ant-junit >= 0:1.8.4
BuildRequires:  ant-junit >= 0:1.8.4
Requires:       org.apache.felix.main >= 0:2.0.2
BuildRequires:  org.apache.felix.main >= 0:2.0.2
BuildRequires:  maven-antrun-plugin >= 0:1.2
BuildRequires:  maven-surefire-plugin

%description -n slf4j-integration
SLF4J integration tests.

%package -n slf4j-site
Summary:        SLF4J Site
Group:          Development/Java
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       slf4j-parent = %{epoch}:%{version}-%{release}
BuildRequires:  maven-site-plugin

%description -n slf4j-site
SLF4J Site.

%package -n slf4j-migrator
Summary:        SLF4J Migrator
Group:          Development/Java
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       slf4j-parent = %{epoch}:%{version}-%{release}
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-jar-plugin

%description -n slf4j-migrator
SLF4J Migrator.

%package -n slf4j-javadoc
Summary:        Javadoc for slf4j
Group:          Development/Documentation
Requires:       jpackage-utils
BuildRequires:  jpackage-utils

%description -n slf4j-javadoc
%{summary}.

%package -n slf4j-parent-site
Summary:        Site for slf4j-parent
Group:          Development/Documentation
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       slf4j-javadoc = %{epoch}:%{version}-%{release}

%description -n slf4j-parent-site
%{summary}.

%prep
%setup -q -n slf4j-%{namedversion}
%patch0 -p1 -b .0000~
%patch1 -p1 -b .0001~

%build
export MAVEN_REPO_LOCAL=${PWD}/.m2/repository
export ALT_DEPLOYMENT_REPOSITORY=remote-repository::default::file://${PWD}/maven2-brew
export MAVEN_OPTS=
%{_bindir}/mvn-jpp -B -e -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DaltDeploymentRepository=${ALT_DEPLOYMENT_REPOSITORY} -DperformRelease package jar:test-jar deploy javadoc:aggregate site
pushd maven2-brew
baddirs=`%{_bindir}/find -type d \( -name "[0-9]*" -and -not -name %{namedversion} \)`
for baddir in ${baddirs}; do
    badver=`/bin/basename ${baddir} | %{__sed} "s/\./\\\./g;"`
    %{__mv} ${baddir}/* `/bin/echo ${baddir} | %{__sed} "s/${badver}/%{namedversion}/g;"`/ && %{__rm} -r ${baddir}/
done
popd

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p maven2-brew/org/slf4j/slf4j-api/%{namedversion}/slf4j-api-%{namedversion}.jar %{buildroot}%{_javadir}/slf4j-api-%{namedversion}.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-api/%{namedversion}/slf4j-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/slf4j-api-%{namedversion}-javadoc.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-api/%{namedversion}/slf4j-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/slf4j-api-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-api/%{namedversion}/slf4j-api-%{namedversion}-tests.jar %{buildroot}%{_javadir}/slf4j-api-%{namedversion}-tests.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-simple/%{namedversion}/slf4j-simple-%{namedversion}.jar %{buildroot}%{_javadir}/slf4j-simple-%{namedversion}.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-simple/%{namedversion}/slf4j-simple-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/slf4j-simple-%{namedversion}-javadoc.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-simple/%{namedversion}/slf4j-simple-%{namedversion}-sources.jar %{buildroot}%{_javadir}/slf4j-simple-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-simple/%{namedversion}/slf4j-simple-%{namedversion}-tests.jar %{buildroot}%{_javadir}/slf4j-simple-%{namedversion}-tests.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-nop/%{namedversion}/slf4j-nop-%{namedversion}.jar %{buildroot}%{_javadir}/slf4j-nop-%{namedversion}.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-nop/%{namedversion}/slf4j-nop-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/slf4j-nop-%{namedversion}-javadoc.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-nop/%{namedversion}/slf4j-nop-%{namedversion}-sources.jar %{buildroot}%{_javadir}/slf4j-nop-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-nop/%{namedversion}/slf4j-nop-%{namedversion}-tests.jar %{buildroot}%{_javadir}/slf4j-nop-%{namedversion}-tests.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-jdk14/%{namedversion}/slf4j-jdk14-%{namedversion}.jar %{buildroot}%{_javadir}/slf4j-jdk14-%{namedversion}.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-jdk14/%{namedversion}/slf4j-jdk14-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/slf4j-jdk14-%{namedversion}-javadoc.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-jdk14/%{namedversion}/slf4j-jdk14-%{namedversion}-sources.jar %{buildroot}%{_javadir}/slf4j-jdk14-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-jdk14/%{namedversion}/slf4j-jdk14-%{namedversion}-tests.jar %{buildroot}%{_javadir}/slf4j-jdk14-%{namedversion}-tests.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-log4j12/%{namedversion}/slf4j-log4j12-%{namedversion}.jar %{buildroot}%{_javadir}/slf4j-log4j12-%{namedversion}.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-log4j12/%{namedversion}/slf4j-log4j12-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/slf4j-log4j12-%{namedversion}-javadoc.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-log4j12/%{namedversion}/slf4j-log4j12-%{namedversion}-sources.jar %{buildroot}%{_javadir}/slf4j-log4j12-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-log4j12/%{namedversion}/slf4j-log4j12-%{namedversion}-tests.jar %{buildroot}%{_javadir}/slf4j-log4j12-%{namedversion}-tests.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-jcl/%{namedversion}/slf4j-jcl-%{namedversion}.jar %{buildroot}%{_javadir}/slf4j-jcl-%{namedversion}.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-jcl/%{namedversion}/slf4j-jcl-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/slf4j-jcl-%{namedversion}-javadoc.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-jcl/%{namedversion}/slf4j-jcl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/slf4j-jcl-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-jcl/%{namedversion}/slf4j-jcl-%{namedversion}-tests.jar %{buildroot}%{_javadir}/slf4j-jcl-%{namedversion}-tests.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-ext/%{namedversion}/slf4j-ext-%{namedversion}.jar %{buildroot}%{_javadir}/slf4j-ext-%{namedversion}.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-ext/%{namedversion}/slf4j-ext-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/slf4j-ext-%{namedversion}-javadoc.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-ext/%{namedversion}/slf4j-ext-%{namedversion}-sources.jar %{buildroot}%{_javadir}/slf4j-ext-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-ext/%{namedversion}/slf4j-ext-%{namedversion}-tests.jar %{buildroot}%{_javadir}/slf4j-ext-%{namedversion}-tests.jar
%{__cp} -p maven2-brew/org/slf4j/jcl-over-slf4j/%{namedversion}/jcl-over-slf4j-%{namedversion}.jar %{buildroot}%{_javadir}/jcl-over-slf4j-%{namedversion}.jar
%{__cp} -p maven2-brew/org/slf4j/jcl-over-slf4j/%{namedversion}/jcl-over-slf4j-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jcl-over-slf4j-%{namedversion}-javadoc.jar
%{__cp} -p maven2-brew/org/slf4j/jcl-over-slf4j/%{namedversion}/jcl-over-slf4j-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jcl-over-slf4j-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/org/slf4j/jcl-over-slf4j/%{namedversion}/jcl-over-slf4j-%{namedversion}-tests.jar %{buildroot}%{_javadir}/jcl-over-slf4j-%{namedversion}-tests.jar
%{__cp} -p maven2-brew/org/slf4j/log4j-over-slf4j/%{namedversion}/log4j-over-slf4j-%{namedversion}.jar %{buildroot}%{_javadir}/log4j-over-slf4j-%{namedversion}.jar
%{__cp} -p maven2-brew/org/slf4j/log4j-over-slf4j/%{namedversion}/log4j-over-slf4j-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/log4j-over-slf4j-%{namedversion}-javadoc.jar
%{__cp} -p maven2-brew/org/slf4j/log4j-over-slf4j/%{namedversion}/log4j-over-slf4j-%{namedversion}-sources.jar %{buildroot}%{_javadir}/log4j-over-slf4j-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/org/slf4j/log4j-over-slf4j/%{namedversion}/log4j-over-slf4j-%{namedversion}-tests.jar %{buildroot}%{_javadir}/log4j-over-slf4j-%{namedversion}-tests.jar
%{__cp} -p maven2-brew/org/slf4j/jul-to-slf4j/%{namedversion}/jul-to-slf4j-%{namedversion}.jar %{buildroot}%{_javadir}/jul-to-slf4j-%{namedversion}.jar
%{__cp} -p maven2-brew/org/slf4j/jul-to-slf4j/%{namedversion}/jul-to-slf4j-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jul-to-slf4j-%{namedversion}-javadoc.jar
%{__cp} -p maven2-brew/org/slf4j/jul-to-slf4j/%{namedversion}/jul-to-slf4j-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jul-to-slf4j-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/org/slf4j/jul-to-slf4j/%{namedversion}/jul-to-slf4j-%{namedversion}-tests.jar %{buildroot}%{_javadir}/jul-to-slf4j-%{namedversion}-tests.jar
%{__cp} -p maven2-brew/org/slf4j/osgi-over-slf4j/%{namedversion}/osgi-over-slf4j-%{namedversion}.jar %{buildroot}%{_javadir}/osgi-over-slf4j-%{namedversion}.jar
%{__cp} -p maven2-brew/org/slf4j/osgi-over-slf4j/%{namedversion}/osgi-over-slf4j-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/osgi-over-slf4j-%{namedversion}-javadoc.jar
%{__cp} -p maven2-brew/org/slf4j/osgi-over-slf4j/%{namedversion}/osgi-over-slf4j-%{namedversion}-sources.jar %{buildroot}%{_javadir}/osgi-over-slf4j-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/org/slf4j/osgi-over-slf4j/%{namedversion}/osgi-over-slf4j-%{namedversion}-tests.jar %{buildroot}%{_javadir}/osgi-over-slf4j-%{namedversion}-tests.jar
%{__cp} -p maven2-brew/org/slf4j/integration/%{namedversion}/integration-%{namedversion}.jar %{buildroot}%{_javadir}/integration-%{namedversion}.jar
%{__cp} -p maven2-brew/org/slf4j/integration/%{namedversion}/integration-%{namedversion}-tests.jar %{buildroot}%{_javadir}/integration-%{namedversion}-tests.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-site/%{namedversion}/slf4j-site-%{namedversion}.jar %{buildroot}%{_javadir}/slf4j-site-%{namedversion}.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-site/%{namedversion}/slf4j-site-%{namedversion}-sources.jar %{buildroot}%{_javadir}/slf4j-site-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-site/%{namedversion}/slf4j-site-%{namedversion}-tests.jar %{buildroot}%{_javadir}/slf4j-site-%{namedversion}-tests.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-migrator/%{namedversion}/slf4j-migrator-%{namedversion}.jar %{buildroot}%{_javadir}/slf4j-migrator-%{namedversion}.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-migrator/%{namedversion}/slf4j-migrator-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/slf4j-migrator-%{namedversion}-javadoc.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-migrator/%{namedversion}/slf4j-migrator-%{namedversion}-sources.jar %{buildroot}%{_javadir}/slf4j-migrator-%{namedversion}-sources.jar
%{__cp} -p maven2-brew/org/slf4j/slf4j-migrator/%{namedversion}/slf4j-migrator-%{namedversion}-tests.jar %{buildroot}%{_javadir}/slf4j-migrator-%{namedversion}-tests.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p maven2-brew/org/slf4j/slf4j-parent/%{namedversion}/slf4j-parent-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-slf4j-parent.pom
%{__cp} -p maven2-brew/org/slf4j/slf4j-api/%{namedversion}/slf4j-api-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-slf4j-api.pom
%{__cp} -p maven2-brew/org/slf4j/slf4j-simple/%{namedversion}/slf4j-simple-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-slf4j-simple.pom
%{__cp} -p maven2-brew/org/slf4j/slf4j-nop/%{namedversion}/slf4j-nop-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-slf4j-nop.pom
%{__cp} -p maven2-brew/org/slf4j/slf4j-jdk14/%{namedversion}/slf4j-jdk14-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-slf4j-jdk14.pom
%{__cp} -p maven2-brew/org/slf4j/slf4j-log4j12/%{namedversion}/slf4j-log4j12-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-slf4j-log4j12.pom
%{__cp} -p maven2-brew/org/slf4j/slf4j-jcl/%{namedversion}/slf4j-jcl-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-slf4j-jcl.pom
%{__cp} -p maven2-brew/org/slf4j/slf4j-ext/%{namedversion}/slf4j-ext-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-slf4j-ext.pom
%{__cp} -p maven2-brew/org/slf4j/jcl-over-slf4j/%{namedversion}/jcl-over-slf4j-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-jcl-over-slf4j.pom
%{__cp} -p maven2-brew/org/slf4j/log4j-over-slf4j/%{namedversion}/log4j-over-slf4j-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-log4j-over-slf4j.pom
%{__cp} -p maven2-brew/org/slf4j/jul-to-slf4j/%{namedversion}/jul-to-slf4j-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-jul-to-slf4j.pom
%{__cp} -p maven2-brew/org/slf4j/osgi-over-slf4j/%{namedversion}/osgi-over-slf4j-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-osgi-over-slf4j.pom
%{__cp} -p maven2-brew/org/slf4j/integration/%{namedversion}/integration-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-integration.pom
%{__cp} -p maven2-brew/org/slf4j/slf4j-site/%{namedversion}/slf4j-site-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-slf4j-site.pom
%{__cp} -p maven2-brew/org/slf4j/slf4j-migrator/%{namedversion}/slf4j-migrator-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-slf4j-migrator.pom

# depmaps
%add_to_maven_depmap org.slf4j slf4j-parent %{namedversion} JPP slf4j-parent
[ %{name} = "slf4j-parent" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/slf4j-parent
%add_to_maven_depmap org.slf4j slf4j-api %{namedversion} JPP slf4j-api
[ %{name} = "slf4j-api" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/slf4j-api
%add_to_maven_depmap org.slf4j slf4j-simple %{namedversion} JPP slf4j-simple
[ %{name} = "slf4j-simple" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/slf4j-simple
%add_to_maven_depmap org.slf4j slf4j-nop %{namedversion} JPP slf4j-nop
[ %{name} = "slf4j-nop" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/slf4j-nop
%add_to_maven_depmap org.slf4j slf4j-jdk14 %{namedversion} JPP slf4j-jdk14
[ %{name} = "slf4j-jdk14" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/slf4j-jdk14
%add_to_maven_depmap org.slf4j slf4j-log4j12 %{namedversion} JPP slf4j-log4j12
[ %{name} = "slf4j-log4j12" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/slf4j-log4j12
%add_to_maven_depmap org.slf4j slf4j-jcl %{namedversion} JPP slf4j-jcl
[ %{name} = "slf4j-jcl" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/slf4j-jcl
%add_to_maven_depmap org.slf4j slf4j-ext %{namedversion} JPP slf4j-ext
[ %{name} = "slf4j-ext" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/slf4j-ext
%add_to_maven_depmap org.slf4j jcl-over-slf4j %{namedversion} JPP jcl-over-slf4j
[ %{name} = "jcl-over-slf4j" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/jcl-over-slf4j
%add_to_maven_depmap org.slf4j log4j-over-slf4j %{namedversion} JPP log4j-over-slf4j
[ %{name} = "log4j-over-slf4j" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/log4j-over-slf4j
%add_to_maven_depmap org.slf4j jul-to-slf4j %{namedversion} JPP jul-to-slf4j
[ %{name} = "jul-to-slf4j" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/jul-to-slf4j
%add_to_maven_depmap org.slf4j osgi-over-slf4j %{namedversion} JPP osgi-over-slf4j
[ %{name} = "osgi-over-slf4j" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/osgi-over-slf4j
%add_to_maven_depmap org.slf4j integration %{namedversion} JPP integration
[ %{name} = "integration" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/integration
%add_to_maven_depmap org.slf4j slf4j-site %{namedversion} JPP slf4j-site
[ %{name} = "slf4j-site" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/slf4j-site
%add_to_maven_depmap org.slf4j slf4j-migrator %{namedversion} JPP slf4j-migrator
[ %{name} = "slf4j-migrator" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/slf4j-migrator

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/slf4j-%{namedversion}
%{__cp} -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/slf4j-%{namedversion}
%{__ln_s} slf4j-%{namedversion} %{buildroot}%{_javadocdir}/slf4j

# site
%{__mkdir_p} %{buildroot}%{_docdir}/slf4j-site-%{namedversion}
%{__cp} -pr target/site/* %{buildroot}%{_docdir}/slf4j-site-%{namedversion}
%{__rm} -r %{buildroot}%{_docdir}/slf4j-site-%{namedversion}/apidocs
%{__ln_s} %{_javadocdir}/slf4j %{buildroot}%{_docdir}/slf4j-site-%{namedversion}/apidocs
%{__ln_s} slf4j-site-%{namedversion} %{buildroot}%{_docdir}/slf4j-site

%clean
%{__rm} -rf %{buildroot}

%post -n slf4j-parent
%update_maven_depmap

%postun -n slf4j-parent
%update_maven_depmap

%post -n slf4j-api
%update_maven_depmap

%postun -n slf4j-api
%update_maven_depmap

%post -n slf4j-simple
%update_maven_depmap

%postun -n slf4j-simple
%update_maven_depmap

%post -n slf4j-nop
%update_maven_depmap

%postun -n slf4j-nop
%update_maven_depmap

%post -n slf4j-jdk14
%update_maven_depmap

%postun -n slf4j-jdk14
%update_maven_depmap

%post -n slf4j-log4j12
%update_maven_depmap

%postun -n slf4j-log4j12
%update_maven_depmap

%post -n slf4j-jcl
%update_maven_depmap

%postun -n slf4j-jcl
%update_maven_depmap

%post -n slf4j-ext
%update_maven_depmap

%postun -n slf4j-ext
%update_maven_depmap

%post -n jcl-over-slf4j
%update_maven_depmap

%postun -n jcl-over-slf4j
%update_maven_depmap

%post -n log4j-over-slf4j
%update_maven_depmap

%postun -n log4j-over-slf4j
%update_maven_depmap

%post -n jul-to-slf4j
%update_maven_depmap

%postun -n jul-to-slf4j
%update_maven_depmap

%post -n osgi-over-slf4j
%update_maven_depmap

%postun -n osgi-over-slf4j
%update_maven_depmap

%post -n slf4j-integration
%update_maven_depmap

%postun -n slf4j-integration
%update_maven_depmap

%post -n slf4j-site
%update_maven_depmap

%postun -n slf4j-site
%update_maven_depmap

%post -n slf4j-migrator
%update_maven_depmap

%postun -n slf4j-migrator
%update_maven_depmap

%files -n slf4j
%defattr(0644,root,root,0755)

%files -n slf4j-parent
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_mavenpomdir}/JPP-slf4j-parent.pom
%{_mavendepmapfragdir}/slf4j-parent

%files -n slf4j-api
%defattr(0644,root,root,0755)
%{_javadir}/slf4j-api-%{namedversion}.jar
%{_javadir}/slf4j-api.jar
%{_javadir}/slf4j-api-%{namedversion}-javadoc.jar
%{_javadir}/slf4j-api-javadoc.jar
%{_javadir}/slf4j-api-%{namedversion}-sources.jar
%{_javadir}/slf4j-api-sources.jar
%{_javadir}/slf4j-api-%{namedversion}-tests.jar
%{_javadir}/slf4j-api-tests.jar
%{_mavenpomdir}/JPP-slf4j-api.pom
%{_mavendepmapfragdir}/slf4j-api

%files -n slf4j-simple
%defattr(0644,root,root,0755)
%{_javadir}/slf4j-simple-%{namedversion}.jar
%{_javadir}/slf4j-simple.jar
%{_javadir}/slf4j-simple-%{namedversion}-javadoc.jar
%{_javadir}/slf4j-simple-javadoc.jar
%{_javadir}/slf4j-simple-%{namedversion}-sources.jar
%{_javadir}/slf4j-simple-sources.jar
%{_javadir}/slf4j-simple-%{namedversion}-tests.jar
%{_javadir}/slf4j-simple-tests.jar
%{_mavenpomdir}/JPP-slf4j-simple.pom
%{_mavendepmapfragdir}/slf4j-simple

%files -n slf4j-nop
%defattr(0644,root,root,0755)
%{_javadir}/slf4j-nop-%{namedversion}.jar
%{_javadir}/slf4j-nop.jar
%{_javadir}/slf4j-nop-%{namedversion}-javadoc.jar
%{_javadir}/slf4j-nop-javadoc.jar
%{_javadir}/slf4j-nop-%{namedversion}-sources.jar
%{_javadir}/slf4j-nop-sources.jar
%{_javadir}/slf4j-nop-%{namedversion}-tests.jar
%{_javadir}/slf4j-nop-tests.jar
%{_mavenpomdir}/JPP-slf4j-nop.pom
%{_mavendepmapfragdir}/slf4j-nop

%files -n slf4j-jdk14
%defattr(0644,root,root,0755)
%{_javadir}/slf4j-jdk14-%{namedversion}.jar
%{_javadir}/slf4j-jdk14.jar
%{_javadir}/slf4j-jdk14-%{namedversion}-javadoc.jar
%{_javadir}/slf4j-jdk14-javadoc.jar
%{_javadir}/slf4j-jdk14-%{namedversion}-sources.jar
%{_javadir}/slf4j-jdk14-sources.jar
%{_javadir}/slf4j-jdk14-%{namedversion}-tests.jar
%{_javadir}/slf4j-jdk14-tests.jar
%{_mavenpomdir}/JPP-slf4j-jdk14.pom
%{_mavendepmapfragdir}/slf4j-jdk14

%files -n slf4j-log4j12
%defattr(0644,root,root,0755)
%{_javadir}/slf4j-log4j12-%{namedversion}.jar
%{_javadir}/slf4j-log4j12.jar
%{_javadir}/slf4j-log4j12-%{namedversion}-javadoc.jar
%{_javadir}/slf4j-log4j12-javadoc.jar
%{_javadir}/slf4j-log4j12-%{namedversion}-sources.jar
%{_javadir}/slf4j-log4j12-sources.jar
%{_javadir}/slf4j-log4j12-%{namedversion}-tests.jar
%{_javadir}/slf4j-log4j12-tests.jar
%{_mavenpomdir}/JPP-slf4j-log4j12.pom
%{_mavendepmapfragdir}/slf4j-log4j12

%files -n slf4j-jcl
%defattr(0644,root,root,0755)
%{_javadir}/slf4j-jcl-%{namedversion}.jar
%{_javadir}/slf4j-jcl.jar
%{_javadir}/slf4j-jcl-%{namedversion}-javadoc.jar
%{_javadir}/slf4j-jcl-javadoc.jar
%{_javadir}/slf4j-jcl-%{namedversion}-sources.jar
%{_javadir}/slf4j-jcl-sources.jar
%{_javadir}/slf4j-jcl-%{namedversion}-tests.jar
%{_javadir}/slf4j-jcl-tests.jar
%{_mavenpomdir}/JPP-slf4j-jcl.pom
%{_mavendepmapfragdir}/slf4j-jcl

%files -n slf4j-ext
%defattr(0644,root,root,0755)
%{_javadir}/slf4j-ext-%{namedversion}.jar
%{_javadir}/slf4j-ext.jar
%{_javadir}/slf4j-ext-%{namedversion}-javadoc.jar
%{_javadir}/slf4j-ext-javadoc.jar
%{_javadir}/slf4j-ext-%{namedversion}-sources.jar
%{_javadir}/slf4j-ext-sources.jar
%{_javadir}/slf4j-ext-%{namedversion}-tests.jar
%{_javadir}/slf4j-ext-tests.jar
%{_mavenpomdir}/JPP-slf4j-ext.pom
%{_mavendepmapfragdir}/slf4j-ext

%files -n jcl-over-slf4j
%defattr(0644,root,root,0755)
%{_javadir}/jcl-over-slf4j-%{namedversion}.jar
%{_javadir}/jcl-over-slf4j.jar
%{_javadir}/jcl-over-slf4j-%{namedversion}-javadoc.jar
%{_javadir}/jcl-over-slf4j-javadoc.jar
%{_javadir}/jcl-over-slf4j-%{namedversion}-sources.jar
%{_javadir}/jcl-over-slf4j-sources.jar
%{_javadir}/jcl-over-slf4j-%{namedversion}-tests.jar
%{_javadir}/jcl-over-slf4j-tests.jar
%{_mavenpomdir}/JPP-jcl-over-slf4j.pom
%{_mavendepmapfragdir}/jcl-over-slf4j

%files -n log4j-over-slf4j
%defattr(0644,root,root,0755)
%{_javadir}/log4j-over-slf4j-%{namedversion}.jar
%{_javadir}/log4j-over-slf4j.jar
%{_javadir}/log4j-over-slf4j-%{namedversion}-javadoc.jar
%{_javadir}/log4j-over-slf4j-javadoc.jar
%{_javadir}/log4j-over-slf4j-%{namedversion}-sources.jar
%{_javadir}/log4j-over-slf4j-sources.jar
%{_javadir}/log4j-over-slf4j-%{namedversion}-tests.jar
%{_javadir}/log4j-over-slf4j-tests.jar
%{_mavenpomdir}/JPP-log4j-over-slf4j.pom
%{_mavendepmapfragdir}/log4j-over-slf4j

%files -n jul-to-slf4j
%defattr(0644,root,root,0755)
%{_javadir}/jul-to-slf4j-%{namedversion}.jar
%{_javadir}/jul-to-slf4j.jar
%{_javadir}/jul-to-slf4j-%{namedversion}-javadoc.jar
%{_javadir}/jul-to-slf4j-javadoc.jar
%{_javadir}/jul-to-slf4j-%{namedversion}-sources.jar
%{_javadir}/jul-to-slf4j-sources.jar
%{_javadir}/jul-to-slf4j-%{namedversion}-tests.jar
%{_javadir}/jul-to-slf4j-tests.jar
%{_mavenpomdir}/JPP-jul-to-slf4j.pom
%{_mavendepmapfragdir}/jul-to-slf4j

%files -n osgi-over-slf4j
%defattr(0644,root,root,0755)
%{_javadir}/osgi-over-slf4j-%{namedversion}.jar
%{_javadir}/osgi-over-slf4j.jar
%{_javadir}/osgi-over-slf4j-%{namedversion}-javadoc.jar
%{_javadir}/osgi-over-slf4j-javadoc.jar
%{_javadir}/osgi-over-slf4j-%{namedversion}-sources.jar
%{_javadir}/osgi-over-slf4j-sources.jar
%{_javadir}/osgi-over-slf4j-%{namedversion}-tests.jar
%{_javadir}/osgi-over-slf4j-tests.jar
%{_mavenpomdir}/JPP-osgi-over-slf4j.pom
%{_mavendepmapfragdir}/osgi-over-slf4j

%files -n slf4j-integration
%defattr(0644,root,root,0755)
%{_javadir}/integration-%{namedversion}.jar
%{_javadir}/integration.jar
%{_javadir}/integration-%{namedversion}-tests.jar
%{_javadir}/integration-tests.jar
%{_mavenpomdir}/JPP-integration.pom
%{_mavendepmapfragdir}/integration

%files -n slf4j-site
%defattr(0644,root,root,0755)
%{_javadir}/slf4j-site-%{namedversion}.jar
%{_javadir}/slf4j-site.jar
%{_javadir}/slf4j-site-%{namedversion}-sources.jar
%{_javadir}/slf4j-site-sources.jar
%{_javadir}/slf4j-site-%{namedversion}-tests.jar
%{_javadir}/slf4j-site-tests.jar
%{_mavenpomdir}/JPP-slf4j-site.pom
%{_mavendepmapfragdir}/slf4j-site

%files -n slf4j-migrator
%defattr(0644,root,root,0755)
%{_javadir}/slf4j-migrator-%{namedversion}.jar
%{_javadir}/slf4j-migrator.jar
%{_javadir}/slf4j-migrator-%{namedversion}-javadoc.jar
%{_javadir}/slf4j-migrator-javadoc.jar
%{_javadir}/slf4j-migrator-%{namedversion}-sources.jar
%{_javadir}/slf4j-migrator-sources.jar
%{_javadir}/slf4j-migrator-%{namedversion}-tests.jar
%{_javadir}/slf4j-migrator-tests.jar
%{_mavenpomdir}/JPP-slf4j-migrator.pom
%{_mavendepmapfragdir}/slf4j-migrator

%files -n slf4j-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/slf4j-%{namedversion}
%{_javadocdir}/slf4j

%files -n slf4j-parent-site
%defattr(0644,root,root,0755)
%{_docdir}/slf4j-site-%{namedversion}
%{_docdir}/slf4j-site

%changelog
* Tue Jan 07 2014 David Walluck <dwalluck@redhat.com> 0:1.7.5-4
- remove slf4j package
- have slf4j-api Obsoletes/Provides: slf4j

* Mon Nov 25 2013 David Walluck <dwalluck@redhat.com> 0:1.7.5-3
- add osgi-over-slf4j package

* Mon Nov 25 2013 David Walluck <dwalluck@redhat.com> 0:1.7.5-2
- add slf4j package for compat

* Mon Nov 25 2013 David Walluck <dwalluck@redhat.com> 0:1.7.5-1
- 1.7.5

* Sun Dec 23 2012 David Walluck <dwalluck@redhat.com> 0:1.6.6-2
- osgi is disabled 

* Sun Dec 23 2012 David Walluck <dwalluck@redhat.com> 0:1.6.6-1
- main package requires slf4j-jdk14
- add compat symlinks for maven2
- split packages

* Wed Jan 18 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.1-7
- Also remove slf4j-site from the repolib

* Wed Jan 18 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.6.1-6
- Remove (empty) slf4j-site.jar which is just a vehicle to pass on the 
  documentation via Maven
- Update javassist groupId to org.javassist

* Wed Sep 7 2011 Lin Gao <lgao@redhat.com> - 0:1.6.1-5
- rebuild

* Wed Sep 7 2011 Lin Gao <lgao@redhat.com> - 0:1.6.1-4
- rename slf4j-1.6.1-integration-pom.patch to slf4j-1.6.1-integration-pom.patch.rpmbuild

* Wed Sep 7 2011 Lin Gao <lgao@redhat.com> - 0:1.6.1-3
- wolf pharse build
- mead build

* Mon Jul 04 2011 Yong Yang <yyang@redhat.com> - 0:1.6.1-2
- BR:  build-helper-maven-plugin
- Remove Patch1: slf4j-1.6.1-no-build-helper.patch

* Fri Jul 01 2011 Yong Yang <yyang@redhat.com> - 0:1.6.1-1
- Upgrade to 1.6.1
- Disable tests
- no jcl104

* Mon Jun 13 2011 David Walluck <dwalluck@redhat.com> 0:1.5.10-3
- remove bundled cal10n
- install all jars
- use proper jar names
- use 'mvn deploy'
- fix incorrectly commented patch macros
- remove unneeded patches
- fix bad maven depmaps
- fix POM copy to repolib
- enable tests
- Requires: jpackage-utils
- fix duplicate LICENSE.txt file
- fix file list
- fix dir ownership in main package
- remove GCJ support
- make namedversion macro global

* Thu Jun 02 2011 Yong Yang <yyang@redhat.com> - 0:1.5.10-2
- Use mvn-jpp deploy:deploy-file instead of upload.sh

* Thu Jun 02 2011 Yong Yang <yyang@redhat.com> - 0:1.5.10-1
- Upgrade to 1.5.10

* Tue Mar 08 2011 Martha Benitez <mbenitez@redhat.com> - 0:1.5.8-9_patch_01.2
- Rebuild

* Tue Mar 08 2011 Martha Benitez <mbenitez@redhat.com> - 0:1.5.8-9_patch_01.1
- Upgrade to 1.5.8-patch-01

* Wed Feb 09 2011 David Walluck <dwalluck@redhat.com> 0:1.5.8-8
- bump release to be newer than 7.el6
- always build javadoc
- javadoc Requires: jpackage-utils
- change BuildRequires to be backwards compat with old maven2
- fix manual

* Tue Dec 21 2010 Hui Wang <huwang@redhat.com> - 0:1.5.8-4
- Add missing artifacts to repolib

* Tue Dec 21 2010 Hui Wang <huwang@redhat.com> - 0:1.5.8-3
- Eliminate slf4j-jdk14

* Wed Dec 08 2010 Hui Wang <huwang@redhat.com> - 0:1.5.8-2
- Add upload.sh and content of maven2-brew to repolib
- Fix %%files for signed jars
- Add BR maven-site-plugin

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.5.8-1.2.1
- rebuilt

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redhat.com> 0:1.5.8-1.2
- Rebuild

* Mon Jan 18 2010 David Walluck <dwalluck@redhat.com> 0:1.5.8-1.1.1
- fix GCJ support

* Wed Jul 29 2009 Yong Yang <yyang@redhat.com> 0:1.5.8-1.1
- 1.5.8
- Replace slf4j-1.5.6-integration-tests-current-only.patch with slf4j-1.5.8-skip-integration-tests.patch because of the failure of "testMatch"

* Tue Jun 23 2009 Martha Benitez <mbenitez@redhat.com> 0:1.5.6-2.1
- Change jpackage-utils >= 0:1.7.5 to jpackage-utils >= 0:1.7.3
- Change BR excalibur-avalon-framework to avalon-framework
- Add condition to build with(out) javadoc
- Add -Dmaven.test.failure.ignore=true

* Fri Jun 12 2009 Ralph Apel <r.apel at r-apel.de> 0:1.5.6-2
- Add -ext jar, depmap and pom
- Save jcl104-over-slf4j as symlink

* Tue Feb 18 2009 David Walluck <dwalluck@redhat.com> 0:1.5.6-1
- 1.5.6
- add repolib
- fix file eol
- fix Release tag

* Fri Jul 18 2008 David Walluck <dwalluck@redhat.com> 0:1.5.2-2
- use excalibur for avalon
- remove javadoc scriptlets
- GCJ fixes
- fix maven directory ownership
- fix -bc --short-circuit by moving some of %%build to %%prep

* Sun Jul 06 2008 Ralph Apel <r.apel at r-apel.de> 0:1.5.2-1.jpp5
- 1.5.2

* Mon Feb 04 2008 Ralph Apel <r.apel at r-apel.de> 0:1.4.2-2jpp
- Fix macro misprint
- Add maven2-plugin BRs

* Wed Jul 18 2007 Ralph Apel <r.apel at r-apel.de> 0:1.4.2-1jpp
- Upgrade to 1.4.2
- Build with maven2
- Add poms and depmap frags
- Add gcj_support option

* Mon Jan 30 2006 Ralph Apel <r.apel at r-apel.de> 0:1.0-0.rc5.1jpp
- First JPackage release.
